#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin>>n>>m;
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<m; j++)
        {
            cin>>a[i][j];
        }
    }
    if(n*m<100) cout<<1;
    else cout<<m/10;
}